# øko Weather Station
![finished](/doc/weatherstation.png)

## Features

* No external power source needed (solar powered)
* Very low cost (~20 EUR)
* Data will be pushed into InfluxDB over WiFi
* Energy saving features and DeepSleep
* Easy to build with of the shelf hardware and a 3D printer

## Collected Data

* Temperature (Calsius, very accurate with the BME230 sensor from Bosch)
* Pressure (hPa)
* Humidity (%H)
* Light (lumen)
* Wind speed (km/h)
* Battery voltage (V)

## Hardware
![schema](/doc/schema.png)

## Visualization
![grafana](/doc/grafana.png)
